%include %{_rpmconfigdir}/macros.python2

%define pkg_name urlgrabber

Name: python2-%{pkg_name}
Version: 3.10.2
Release: 3
License: LGPL-2.1-only
Summary: A high-level cross-protocol url-grabber
Url: http://urlgrabber.baseurl.org/
Source: https://files.pythonhosted.org/packages/29/1a/f509987826e17369c52a80a07b257cc0de3d7864a303175f2634c8bcb3e3/urlgrabber-3.10.2.tar.gz

BuildArch: noarch

BuildRequires: python2
BuildRequires: python2-pip

Requires: python2-pycurl

%description
A high-level cross-protocol url-grabber.

Using urlgrabber, data can be fetched in three basic ways:

urlgrab(url) copy the file to the local filesystem
urlopen(url) open the remote file and return a file object
(like urllib2.urlopen)
urlread(url) return the contents of the file as a string

When using these functions (or methods), urlgrabber supports the
following features:

* identical behavior for http://, ftp://, and file:// urls
* http keepalive - faster downloads of many files by using
only a single connection
* byte ranges - fetch only a portion of the file
* reget - for a urlgrab, resume a partial download
* progress meters - the ability to report download progress
automatically, even when using urlopen!
* throttling - restrict bandwidth usage
* retries - automatically retry a download if it fails. The
number of retries and failure types are configurable.
* authenticated server access for http and ftp
* proxy support - support for authenticated http and ftp proxies
* mirror groups - treat a list of mirrors as a single source,
automatically switching mirrors if there is a failure. 


%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} %{SOURCE0}

perl -p -i -e 's|/usr/bin/python|%{_bindir}/python2|g' %{buildroot}%{_libexecdir}/urlgrabber-ext-down

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/*

%{_bindir}/urlgrabber
%{_libexecdir}/urlgrabber-ext-down
%{_docdir}/urlgrabber-%{version}

%changelog
* Thu Dec 5 2019 Abdirahim Musse <abdirahim.musse@ibm.com> 
- Use SPDX license identifier

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure python packages have necessary dependencies listed

* Thu Aug 09 2018 - Kevin Adler <kadler@us.ibm.com>
- Set proper shebang in python2-urlgrabber

* Wed Aug 08 2018 - Kevin Adler <kadler@us.ibm.com>
- Ensure packages build with build.py

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Add missing pycurl dependency to urlgrabber

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Add python 2 urlgrabber needed for yum
